Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.restore.handlers
Class FloatingHandler

    java.lang.Object
      org.flexdock.perspective.restore.handlers.FloatingHandler

All Implemented Interfaces:
  RestorationHandler

    public class FloatingHandler

extends Object
implements RestorationHandler

Created on 2005-04-15

Version:
  $Id: FloatingHandler.java,v 1.2 2005-06-04 16:42:22 winnetou25 Exp $
Author:
  Mateusz Szczap, Christopher Butler

Constructor Summary
`FloatingHandler()`

Method Summary
`boolean` | `restore(Dockable dockable, DockingState dockingState, Map context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatingHandler

    public FloatingHandler()

Method Detail

### restore

    public boolean restore(Dockable dockable,
                           DockingState dockingState,
                           Map context)

  Specified by:
    `restore` in interface `RestorationHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD